Name:           photoprint
Version:        0.4.2
Release:        0.2.pre2%{?dist}
Summary:        Utility for printing digital photographs

Group:          Applications/Multimedia
# borders are Creative Commons Attribution 2.0 UK: England & Wales License
License:        GPLv2+ and CC-BY
URL:            http://blackfiveimaging.co.uk/index.php?article=02Software%2F01PhotoPrint
#Source0:        http://www.blackfiveimaging.co.uk/photoprint/%{name}-%{version}.tar.gz
Source0:        http://www.blackfiveimaging.co.uk/photoprint/photoprint-0.4.2-pre2.tar.gz
Patch0:         photoprint-0.4.2-pre2-lib.patch
Patch1:         photoprint-0.4.2-pre2-gettext-autoreconf-libtoolize.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gutenprint-devel
BuildRequires:  lcms-devel
BuildRequires:  netpbm-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libtiff-devel
BuildRequires:  gettext
BuildRequires:  desktop-file-utils

# upstream merged photoprint-borders into photoprint in version 0.4.1.
Provides: photoprint-borders = 0.0.2-7%{?dist}
Obsoletes: photoprint-borders < 0.0.2-7

%description
PhotoPrint is a utility designed to assist in the process 
of printing digital photographs.
PhotoPrint can do the following:

* Print photographs 1-up, 2-up, 4-up or with any user-selectable
  number of rows and columns.
* Create posters, split over several pages.
* Arrange images into a sort of Carousel, fading from one to 
  another.  (Ideal for CD labels)
* Crop images to fit a specific frame.
* Apply a decorative border to an image.
* Make use of ICC colour profiles to provide accurate output.
* Send 16-bit data to the printer, to avoid "contouring" problems 
  in smooth gradients.
* Apply a handful of effecs to an image, including sharpening, 
  removing colour and adjusting colour temperature 
  (ideal for cooling or warming black-and-white prints).


%prep
%setup -q -n %{name}-%{version}-pre2
%patch0 -p1
%patch1 -p1

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# install man page
install  -Dpm 0644 %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1

desktop-file-validate %{buildroot}/%{_datadir}/applications/fotoprint.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc NEWS README ChangeLog COPYING 
%{_bindir}/*
%{_datadir}/applications/fotoprint.desktop
%{_datadir}/icons/hicolor/48x48/apps/fotoprint.png
%{_mandir}/man*/*
%{_datadir}/%{name}

%changelog
* Thu Jun 23 2011 Matt Domsch <mdomsch@fedoraproject.org> - 0.4.2-0.2.pre2
- obsolete photoprint-borders, content is merged into photoprint by upstream

* Thu Jun 23 2011 Matt Domsch <mdomsch@fedoraproject.org> - 0.4.2-0.1.pre2
- update to 0.4.2-pre2, fixes FTBFS (BZ#599755)
- requires updating gettext, libtool, autoreconf as well (done on Fedora 14)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Apr 15 2009 Zarko <zarko.pintar@gmail.com> - 0.4.0-6
- resolving summary, license
- added g++4.4 patch
- resolving timestamps
- new scriplets for icon cache

* Sat Mar 28 2009 Zarko <zarko.pintar@gmail.com> - 0.4.0-5
- resolved issue in .paths patch for resolving paths in Paths... dialogbox

* Wed Mar 25 2009 Zarko <zarko.pintar@gmail.com> - 0.4.0-4
- added .paths patch for resolving paths in Paths... dialogbox

* Mon Mar 23 2009 Zarko <zarko.pintar@gmail.com> - 0.4.0-3
- scriptlets added 

* Thu Mar 20 2009 Zarko <zarko.pintar@gmail.com> - 0.4.0-2
- added .desktop validation
- added man file

* Thu Mar 19 2009 Zarko <zarko.pintar@gmail.com> - 0.4.0-1
- initial release
